on:
  push:
    branches: ["main"]
  workflow_dispatch:

jobs:
  deploy:
    runs-on: native
    env:
      PATH: /run/current-system/sw/bin:/usr/bin:/bin
    steps:
      - name: Checkout
        run: git clone --depth 1 ${{ github.server_url }}/${{ github.repository }} .
      - name: Check
        run: nix flake check
      - name: Build
        run: nix run .
      - name: Deploy
        run: cp -r public/. /var/www/jankremer.de/
